Ruby trunk - Bug #6941

ID_H_TARGET no longer created after running make
Description

It seems as if the file .id.h.time (from the target ID_H_TARGET) is no longer automatically created
while running "make" on trunk.

A subsequent "make install" fails if the previous Ruby installation has already been removed because
BASE_RUBY would be needed to generate ID_H_TARGET. | used "touch .id.h.time" as a workaround,
but | guess that "make install" should be working without a Ruby executable in the PATH?

History

#1 - 08/28/2012 05:58 AM - luislavena (Luis Lavena)
- Status changed from Open to Assigned

- Assignee set to nobu (Nobuyoshi Nakada)
#2 - 08/29/2012 02:12 AM - MartinBosslet (Martin Bosslet)
Unrelated, but while debugging | noticed that line 152 [1] seems redundant because of line 535 [2].

[1] https://github.com/ruby/ruby/blob/trunk/common.mk#L.152
[2] https://github.com/ruby/ruby/blob/trunk/common.mk#L. 535

#3 - 10/04/2012 04:57 PM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Closed

Now id.h doesn't depend on parse.y since r36864.

#4 - 10/15/2012 09:01 PM - MartinBosslet (Martin Bosslet)

nobu (Nobuyoshi Nakada) wrote:

Now id.h doesn't depend on parse.y since r36864.

Confirmed it's working on my end, too. Thank you!
